Package org.apache.lucene.analysis.ko.dict

# Class TokenInfoFST

java.lang.Object
org.apache.lucene.analysis.morph.TokenInfoFST
org.apache.lucene.analysis.ko.dict.TokenInfoFST

public final class TokenInfoFST extends TokenInfoFST
Thin wrapper around an FST with root-arc caching for Hangul syllables (11,172 arcs).

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.morph.TokenInfoFST

  `fst, NO_OUTPUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenInfoFST(FST<Long> fst)`

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.analysis.morph.TokenInfoFST

  `findTargetArc, getBytesReader, getFirstArc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TokenInfoFST

    public TokenInfoFST(FST<Long> fst) throws IOException
    Throws:
      `IOException`